IMG00269-20091115-1754.jpg=Finished. I put potatoes and carrots in the bowl part ,but forgot to snap a picture.
IMG00268-20091115-1616.jpg=Sitting on the grill on the "cool" side so that it doesn't cook too fast
IMG00266-20091115-1539.jpg=The new holder is a plate and holder in one.
IMG00267-20091115-1540.jpg=The bird sitting on the holder
